FreeMat

- Main Page
- Related Pages

vtkImagePadFilter

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImagePadFilter Changes the image extent of an image. If the image extent is larger than the input image extent, the extra pixels are filled by an algorithm determined by the subclass. The image extent of the output has to be specified.

To create an instance of class vtkImagePadFilter, simply invoke its constructor as follows

      obj = vtkImagePadFilter

# Methods

The class vtkImagePadFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImagePadFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImagePadFilter = obj.NewInstance ()`
- `vtkImagePadFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetOutputWholeExtent (int extent[6])` - The image extent of the output has to be set explicitly.
- `obj.SetOutputWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ)` - The image extent of the output has to be set explicitly.
- `obj.GetOutputWholeExtent (int extent[6])` - The image extent of the output has to be set explicitly.
- `int = obj.GetOutputWholeExtent ()` - Set/Get the number of output scalar components.
- `obj.SetOutputNumberOfScalarComponents (int )` - Set/Get the number of output scalar components.
- `int = obj.GetOutputNumberOfScalarComponents ()` - Set/Get the number of output scalar components.